The non-callback API

## Functions

jack_nframes_t | jack_thread_wait (jack_client_t *client, int status) JACK_OPTIONAL_WEAK_EXPORT
jack_nframes_t | jack_cycle_wait (jack_client_t *client) JACK_OPTIONAL_WEAK_EXPORT
void | jack_cycle_signal (jack_client_t *client, int status) JACK_OPTIONAL_WEAK_EXPORT
int | jack_set_process_thread (jack_client_t *client, JackThreadCallback thread_callback, void *arg) JACK_OPTIONAL_WEAK_EXPORT

## Detailed Description

## Function Documentation

jack_nframes_t jack_thread_wait | ( | jack_client_t * | client,
|  | int | status
| ) |  |

THIS FUNCTION IS DEPRECATED AND SHOULD NOT BE USED IN NEW JACK CLIENTS.

Deprecated:
  Please use jack_cycle_wait() and jack_cycle_signal() functions.

Definition at line 842 of file JackAPI.cpp.

jack_nframes_t jack_cycle_wait | ( | jack_client_t * | client | ) |

Wait until this JACK client should process data.

Parameters

  client | - pointer to a JACK client structure

Returns
  the number of frames of data to process

Definition at line 856 of file JackAPI.cpp.

void jack_cycle_signal | ( | jack_client_t * | client,
|  | int | status
| ) |  |

Signal next clients in the graph.

Parameters

  client | - pointer to a JACK client structure
  status | - if non-zero, calling thread should exit

Definition at line 869 of file JackAPI.cpp.

int jack_set_process_thread | ( | jack_client_t * | client,
|  | JackThreadCallback | thread_callback,
|  | void * | arg
| ) |  |

Tell the Jack server to call thread_callback in the RT thread. Typical use are in conjunction with jack_cycle_wait and jack_cycle_signal functions. The code in the supplied function must be suitable for real-time execution. That means that it cannot call functions that might block for a long time. This includes malloc, free, printf, pthread_mutex_lock, sleep, wait, poll, select, pthread_join, pthread_cond_wait, etc, etc. See http://jackit.sourceforge.net/docs/design/design.html#SECTION00411000000000000000 for more information.

NOTE: this function cannot be called while the client is activated (after jack_activate has been called.)

Returns
  0 on success, otherwise a non-zero error code.

Definition at line 881 of file JackAPI.cpp.